%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	A modern media player based on the GStreamer framework
Name:		parole
Version:	0.2.0.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/parole
Source0:	http://archive.xfce.org/src/apps/parole/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		parole-0.1.95-fix-plugin-link.patch
BuildRequires:	gstreamer0.10-devel
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	libxfcegui4-devel >= 4.6.0
BuildRequires:	libnotify-devel
BuildRequires:	taglib-devel
BuildRequires:	dbus-glib-devel
Obsoletes:	xfmedia
Obsoletes:	%{name}-browser-plugin < 0.2.0.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
New media player for Xfce desktop environment.

%prep
%setup -q
%patch0 -p0

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# (tpg) not needed for now
find %{buildroot} -name *.la -type f -exec rm -rf {} \;
rm -rf %{buildroot}%{_includedir}/%{name}

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO THANKS
%{_bindir}/%{name}
%{_libdir}/parole-0/*.so
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}
%{_datadir}/%{name}/pixmaps/*.png


%changelog
* Sun Apr 17 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.6-1mdv2011.0
+ Revision: 654238
- update to new version 0.2.0.6

* Sat Apr 16 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.5-1
+ Revision: 653308
- add missing buildrequire on dbus-glib-devel
- update to new version 0.2.0.5
- drop browser-plugin subpackage, because upstread did drop the plugin

* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-4
+ Revision: 633058
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-3mdv2011.0
+ Revision: 579666
- rebuild for new xfce 4.7.0

* Sun Apr 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-2mdv2010.1
+ Revision: 536073
- rebuild for new xulrunner

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 0.2.0.2-1mdv2010.1
+ Revision: 496190
- new verison 0.2.0.2

* Fri Jan 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.1-1mdv2010.1
+ Revision: 491924
- update to new version 0.2.0.1

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 0.2.0-1mdv2010.1
+ Revision: 486871
- update to new version 0.2.0

* Tue Dec 01 2009 Funda Wang <fwang@mandriva.org> 0.1.99-1mdv2010.1
+ Revision: 472298
- new version 0.1.99

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to version 0.1.98

* Wed Nov 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.96-1mdv2010.1
+ Revision: 470069
- Update to 0.1.96

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.1.95-1mdv2010.1
+ Revision: 470035
- fix linkage
- add plugin sub package
- new version 0.1.95

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.91-1mdv2010.1
+ Revision: 462243
- update to new version 0.1.91

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.90-1mdv2010.0
+ Revision: 456674
- add spec and source files
- Created package structure for parole.

